%define rbname postgres
Summary: The extension for PostgreSQL access
Name: ruby-%{rbname}

%global momorel 6

Version: 0.7.1
Release: %{momorel}m
Group: Development/Libraries
License: Ruby
URL: http://www.postgresql.jp/interfaces/ruby/

%NoSource 0 http://www.postgresql.jp/interfaces/ruby/archive/%{name}-%{version}.tar.gz 8ef67b3f4b089248f0420baeb0e3b3c8

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.2
BuildRequires: postgresql-devel >= 7.2.1

Obsoletes: postgres
Provides: postgres

%description
This is the extension library to access PostgreSQL database from Ruby.
This library works with PostgreSQL 6.4/6.5;  probably works with 6.3 or
earlier with slight modification, but not tested at all.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q

%build
ruby extconf.rb --with-pgsql-include-dir=/usr/include/pgsql
make sitedir=%{_libdir}/ruby

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install sitedir=%{buildroot}%{_libdir}/ruby

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README* doc sample
%{ruby_archdir}/postgres.so

%ChangeLog
* Mon Apr 25 2005 Toru Hoshina <t@momonga-linux.org>
- (0.7.1-6m)
- rebuild against postgresql-8.0.2.

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.1-5m)
- rebuild against ruby-1.8.2

* Thu Dec 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.7.1-4m)
- rebuild against postgresql-7.4.1

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (0.7.1-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.1-2m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.1-1m)
- version up.

* Sun Mar  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.7.0-3m)
  rebuild against 0.9.7a

* Thu Jan 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.0-2m)
- rebuild against for postgresql

* Thu Nov 07 2002 Kenta MURATA <muraken@momonga-linux.org>
- (0.7.0-1m)
- version up to 0.7.0.

* Thu May 16 2002 Masaru Sato <masachan@kondara.org>
- (0.6.5-4k)
- rebuild against postgresql-7.2.1-8k

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.6.5-2k)
- update to 0.6.5

* Sun Oct 28 2001 Toru Hoshina <t@kondara.org>
- (0.6.1-8k)
- rebuild against postgresql 7.1.3-4k.
- add buildprereq.

* Sat Oct 27 2001 Toru Hoshina <t@kondara.org>
- (0.6.1-6k)
- rebuild against postgresql 7.1.3.

* Thu Nov 30 2000 AYUHANA Tomonori <l@kondara.org>
- (0.6.1-1k)
- version 0.6.1
- name change postgres to ruby-postgres
- it should be suitable to both ruby 1.4.x and 1.6.x.
- add URL:
- add BuildRequires: postgresql-devel

* Mon Mar 13 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( BuildRoot, Summary, Distribution, description )

* Tue Dec  7 1999 Tenkou N. Hattori <tnh@kondara.org>
- alpha surrpoted.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Oct 26 1999 KUSUNOKI Masanori <masanori@linux.or.jp>
- first release
